Skip to content

Lists a customer's payment methods

Request

GET {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods

This endpoint lists a customer's payment methods.

See Also:
To create an ACH payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/ach.
To create a card payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/cards.
To update a customer's payment method, see PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.
To delete a customer's payment method, see DELETE /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.

Security
Bearer
Path
customerIdstring, (uuid)required

Specifies a customer's identifier.

Example:c4b210e9-be39-4ebc-8195-0c422de87f90
Query
searchstring

Specifies the search string.

This performs a case insensitive, matching, or partially matching search.

Fields does not have to be specified. If the results are to be sorted, the field orderby to specify the sort field.

Example:search=Conners Electric
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
orderBystring

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
dateFromstring, (date-time)

Specifies returning items on or after this date (in an ISO 8601 date-time UTC format).

If dateFrom only is specified, the search returns all available items from the dateFrom value to the present. The fields dateFrom and dateTo may be used together to create an exclusive range. We recommend creating an exclusive range to avoid a potentially excessive number of returns.

Example:dateFrom=2025-01-27T12:05:54.322587Z
dateTostring, (date-time)

Specifies returning items on or to this date (in an ISO 8601 date-time UTC format).

If dateTo only is specified, the search returns all available items up to the dateTo value. The fields dateFrom and dateTo may be used together to create an exclusive range. We recommend creating an exclusive range to avoid a potentially excessive number of returns.

Example:dateTo=2026-01-27T12:05:54.322587Z
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/pay-api/v1/customers/c4b210e9-be39-4ebc-8195-0c422de87f90/payment-methods?search=Conners%20Electric&page=0&pageSize=15&orderBy=string&asc=true&dateFrom=2025-01-27T12%3A05%3A54.322587Z&dateTo=2026-01-27T12%3A05%3A54.322587Z' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null

Payment methods for the current page.

totalinteger, (int32)

Indicates the total number of payment methods found.

Example: 7

Example:7
Response
{ "items": [ { "id": "09af9936-08ec-4235-8386-b8d341cc88e7", "name": "Peppared Street Cafe's Preferred Payment", "panMask": "4111********1234", "isDefault": true, "typeId": 2, "typeName": "ElectronicCheck", "expirationMonth": 7, "expirationYear": 2032, "createdOn": "2025-01-27T12:05:54.322587Z", "accountNumber": "123456789", "routingNumber": "123123123", "accountType": 1, "accountHolderType": 1, "taxId": "98-7654321", "cardTokenType": 2 } ], "total": 7 }